NSX-T Data Center REST API

Get the list of services where the given group is consumed.

The API by default returns all the DFW services associated with the given Group.
The API returns DFW or IPFIX services based on the service_type parameter.
It also returns the services associated with the parent groups of
the given group.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/group-service-associations
/policy/api/v1/global-infra/group-service-associations
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/group-service-associations
Request Headers:
n/a
Query Parameters:
PolicyGroupServiceAssociationsRequestParameters+
Request Body:
n/a

Example Request:

GET https://10.193.41.70/policy/api/v1/infra/group-service-associations?intent_path=/infra/domains/default/groups/ChildGroup

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyResourceReferenceListResult+

Example Response:

{ "results": [ { "path": "/infra/domains/default/security-policies/91e2b990-feed-11e9-be9e-b16debafe148/rules/bc9cd5d0-feed-11e9-be9e-b16debafe148", "target_id": "bc9cd5d0-feed-11e9-be9e-b16debafe148", "target_display_name": "Policy1", "target_type": "CommunicationEntry" }, { "path": "/infra/domains/default/security-policies/91e2b990-feed-11e9-be9e-b16debafe148/rules/bc496930-feee-11e9-be9e-b16debafe148", "target_id": "bc496930-feee-11e9-be9e-b16debafe148", "target_display_name": "Policy2", "target_type": "CommunicationEntry" }, { "path": "/infra/domains/default/security-policies/91e2b990-feed-11e9-be9e-b16debafe148/rules/b8c65fe0-ff91-11e9-9a36-cbe55de635f8", "target_id": "b8c65fe0-ff91-11e9-9a36-cbe55de635f8", "target_display_name": "Policy3", "target_type": "CommunicationEntry" } ], "result_count": 3, "sort_by": "display_name", "sort_ascending": true }

Required Permissions:

read

Feature:

infra_admin

Additional Errors: